kdecore Library: NETStrut Struct Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETStrut Struct Reference

`#include <netwm_def.h>`

List of all members.

## Public Member Functions
| NETStrut ()
## Public Attributes
int | left
int | right
int | top
int | bottom

## Detailed Description

Deprecated:
  use NETExtendedStrut

Simple strut class for NET classes.

This class is a convenience class defining a strut with left, right, top and bottom border values. The existence of this class is to keep the implementation from being dependant on a separate framework/library. See the _NET_WM_STRUT property in the NETWM spec.

Definition at line 195 of file netwm_def.h.

## Constructor & Destructor Documentation

NETStrut::NETStrut | ( |  | ) | `[inline]`

| Constructor to initialize this struct to 0,0,0,0. Definition at line 199 of file netwm_def.h. References bottom, left, right, and top.

## Member Data Documentation

int NETStrut::left

| Left border of the strut. Definition at line 204 of file netwm_def.h. Referenced by NETWinInfo::kdeGeometry(), NETStrut(), NETWinInfo::setKDEFrameStrut(), and NETWinInfo::setStrut().

int NETStrut::right

| Right border of the strut. Definition at line 209 of file netwm_def.h. Referenced by NETWinInfo::kdeGeometry(), NETStrut(), NETWinInfo::setKDEFrameStrut(), and NETWinInfo::setStrut().

int NETStrut::top

| Top border of the strut. Definition at line 214 of file netwm_def.h. Referenced by NETWinInfo::kdeGeometry(), NETStrut(), NETWinInfo::setKDEFrameStrut(), and NETWinInfo::setStrut().

int NETStrut::bottom

| Bottom border of the strut. Definition at line 219 of file netwm_def.h. Referenced by NETWinInfo::kdeGeometry(), NETStrut(), NETWinInfo::setKDEFrameStrut(), and NETWinInfo::setStrut().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003